Api referenceWorkspaces
Update Workspace Feature Flag
Reference for Update Workspace Feature Flag in the Hyperoru v1 API, including request, response, and authentication details.
PUT
/v1/workspaces/{workspace_id}/feature-flags/{key}Update Workspace Feature Flag. Returns a typed response and a request ID for operational support.
hyperoru_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidkey*Key
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature-flags/string" \ -H "Content-Type: application/json" \ -d '{ "enabled": true, "reason": "string" }'{
"configured": true,
"default_enabled": true,
"description": "string",
"enabled": true,
"expires_at": "2019-08-24T14:15:22Z",
"governance_complete": true,
"initial_cohort": "internal",
"key": "evidence_envelopes",
"label": "string",
"maximum_rollout_days": 0,
"owner": "architecture-intelligence",
"plan": "string",
"reason": "string",
"removal_criteria": "string",
"removal_issue": "string",
"required": true,
"rollout_cohort": "internal",
"updated_at": "2019-08-24T14:15:22Z",
"updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe",
"updated_by_operator": "string"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.hyperoru.com/problems/validation_failed"
}